package com.hzya.frame.sys.module.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.module.dao.IModuleMapper;
import com.hzya.frame.sys.module.entity.Module;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 菜单表  dao
 * @tableName: sys_module
 * @entityName: Module
 * @author: gjh
 * @history:1.0
 */
@Service
public class ModuleMapperImpl extends MybatisGenericDao<Module, String> implements IModuleMapper {

    @Override
    public Module entity_get(String id) {

        Module o = (Module) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<Module> entity_list_base(Module entity) {

        List<Module> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(Module entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<Module> entity_list_like(Module entity) {

        List<Module> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<Module> entity_list_or(Module entity) {

        List<Module> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(Module entity) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(Module entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(Module entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(Module entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(Module entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
